Loading...
Searching...
No Matches
platform_control.h File Reference

Platform control object. More...

`#include <l4/sys/types.h>`
`#include <l4/sys/utcb.h>`
`#include <l4/sys/ipc.h>`
Include dependency graph for platform_control.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Enumerations

enum | L4_platform_ctl_ops { L4_PLATFORM_CTL_SYS_SUSPEND_OP = 0UL , L4_PLATFORM_CTL_SYS_SHUTDOWN_OP = 1UL , L4_PLATFORM_CTL_CPU_ALLOW_SHUTDOWN_OP = 2UL , L4_PLATFORM_CTL_CPU_ENABLE_OP = 3UL , L4_PLATFORM_CTL_CPU_DISABLE_OP = 4UL , L4_PLATFORM_CTL_SET_TASK_ASID_OP = 0x10UL }
| Operations on platform-control objects. More...
enum | L4_platform_ctl_proto { L4_PROTO_PLATFORM_CTL = 0 }
| Predefined protocol type for messages to platform-control objects. More...

## Functions

l4_msgtag_t | l4_platform_ctl_system_suspend (l4_cap_idx_t pfc, l4_umword_t extras) L4_NOTHROW
| Enter suspend to RAM.
l4_msgtag_t | l4_platform_ctl_system_shutdown (l4_cap_idx_t pfc, l4_umword_t reboot) L4_NOTHROW
| Shutdown or reboot the system.
l4_msgtag_t | l4_platform_ctl_cpu_allow_shutdown (l4_cap_idx_t pfc, l4_umword_t phys_id, l4_umword_t enable) L4_NOTHROW
| Allow a CPU to be shut down.
l4_msgtag_t | l4_platform_ctl_cpu_enable (l4_cap_idx_t pfc, l4_umword_t phys_id) L4_NOTHROW
| Enable an offline CPU.
l4_msgtag_t | l4_platform_ctl_cpu_disable (l4_cap_idx_t pfc, l4_umword_t phys_id) L4_NOTHROW
| Disable an online CPU.

## Detailed Description

Platform control object.

Definition in file platform_control.h.